Update StatefulSet
This API is used to update the statefulset
post
Authorizations
AuthorizationstringRequired
Type 'Bearer ' followed by your JWT token. Example: "Bearer eyJhbGciOi..."
Path parameters
project_idstringRequired
Project ID
namespacestringRequired
Namespace
namestringRequired
StatefulSet Name
Body
apiVersionstringOptionalExample:
apps/v1kindstringOptional
specobjectOptional
Responses
200
Successful Response
application/json
codeintegerOptionalExample:
200dataanyOptional
messagestringOptionalExample:
Successpost/core/statefulsets/{project_id}/{namespace}/{name}
POST /core/statefulsets/{project_id}/{namespace}/{name} HTTP/1.1
Host: ai.cloudeka.id/
Authorization: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 107
{
"apiVersion": "apps/v1",
"kind": "text",
"metadata": {
"name": "myresource-123",
"namespace": "default"
},
"spec": {}
}200
Successful Response
{
"code": 200,
"data": null,
"message": "Success"
}Last updated